Bug 2283 - Общесистемный gvimrc конфликтует с плагином mswin.vim
: Общесистемный gvimrc конфликтует с плагином mswin.vim
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/vim-common)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-02-19 10:42 by
Modified: 2004-07-15 10:34 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-02-19 10:42:00
Установки
map <S-Insert> <MiddleMouse>
map! <S-Insert> <MiddleMouse>

в /etc/vim/gvimrc приводят к тому, что после загрузки mswin.vim комбинация клавиш Shift-Insert не работает ожидаемым образом, а пытается делать вставку из буфера X\'ов.
---

---

------- Comment #1 From 2003-10-01 07:58:06 -------
Fixed in 4:6.2.106-alt1
------- Comment #2 From 2003-10-10 12:45:40 -------
Есть стойкое подозрение, что для _подавляющего_ большинство пользователей *vim
под иксами *ожидаемое* поведение -- есть именно вставка X buffer.

Кому надо иначе -- пусть делает unmap.
------- Comment #3 From 2003-10-10 13:17:51 -------
Will fix in next build (> 6.2.106)
------- Comment #4 From 2003-10-13 02:58:02 -------
Reverted back last change, status -> WONTFIX
mswin.vim users should unmap S-Insert in their .gvimrc